#!/bin/bash
#fstab注释掉/boot/efi来减少开机时间
grep -E '.*\/boot\/efi' /etc/fstab | while IFS= read -r line; do
	uuid=$(echo "$line" | awk '{print $1}' )
	if [[ "$uuid" =~ "#" ]];
	then 
		echo "x1 custom: already commented"
	else
		sed -i "/\/boot\/efi/s/^/#/" /etc/fstab
	fi

done
#对于X1,用不到cuda，以及英伟达的服务，直接禁用他们
systemctl disable cuda
systemctl disable nfs-live-nopassword-login
systemctl disable nvidia-nfs-autoconf

#禁用一些raid卡相关的驱动，来减少开机时间
noraid="/etc/modprobe.d/custom_noraid.conf"
if [ -f "$noraid" ]; then
	echo "x1 custom: file $noraid is exited"
else
	echo -e "blacklist raid6\nblacklist raid456\nblacklist raid6_pg\nblacklist async_raid6_recov" > "$noraid"
	while true; do
		sleep 1
		num=$(dpkg -l | grep 'nfs-installer-oobe' | wc -l)
		if [ $num = 0 ]; then
			break 
		fi
	done
	/usr/sbin/update-initramfs -u
fi
